#version 430 core
in vec2 vTexPos;
out vec4 fColor;

uniform sampler2D screenTexture;

void main()
{
    fColor = texture(screenTexture, vTexPos);
    float av = (fColor.r + fColor.g + fColor.b) / 3.0;
    fColor = vec4(av,av,av,1.0);
}
